Bug 539611 - Transmission-daemon doesn't listen to xmlrpc control connections over IPv6
Transmission-daemon doesn't listen to xmlrpc control connections over IPv6
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
Reported: 2009-11-20 12:37 EST by Tore Anderson
Modified: 2013-03-13 01:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-01-11 17:20:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tore Anderson 2009-11-20 12:37:35 EST
Description of problem:

transmission-daemon only listens to IPv4 connection to its xmlrpc control interface on port 9091/tcp.  It should also support IPv6.

Version-Release number of selected component (if applicable):

F12, transmission-1.76-1.fc12.i686

How reproducible:


Steps to Reproduce:
1. Attempt to connect to a transmission-daemon using IPv6 using transmission-remote or a web browser.
Actual results:

The connection fails.

Expected results:

The connection suceeds.

Additional info:

transmission-remote does support IPv6, oddly enough.  If you use e.g. SSH tunneling to create a listening IPv6 socket on port [::1]:9091 that connects to a remote transmission-daemon (using IPv4), it will work perfectly.  So the problem is not with the protocol, it's simply that the daemon process doesn't listen on a IPv6 socket.

Another thing I noticed is that the daemon process only listens to IPv6 on the configured peer-port for TCP, and not UD.  With IPv4, it does both.  I'm seeing traffic from external peers arriving towards the UDP port as well (which then are rejected), so this is perhaps worthy of a separate bug report - let me know if I should open a new one for it.  See netstat output from my server (peer-port is 62524):

$ sudo netstat --listen -p -n | grep transmission
tcp        0      0      *                   LISTEN      25108/transmission- 
tcp        0      0     *                   LISTEN      25108/transmission- 
tcp        0      0 :::62524                    :::*                        LISTEN      25108/transmission- 
udp        0      0     *                               25108/transmission- 

Comment 1 Tore Anderson 2009-12-09 07:09:34 EST
Seems like this issue has already been reported upstream:


By the way it also seems like the second issue (no UDP IPv6 listening socket for data traffic) is fixed in 1.80b1.

Comment 2 Rahul Sundaram 2010-01-11 17:20:04 EST
Tracking a RFE in two different places is not very useful.  I will inherit a fix when it is made available upstream.

Note You need to log in before you can comment on or make changes to this bug.